<?php
if(!defined('IN_DISCUZ')) {exit('Access Denied');}

if($_GET['formhash'] != FORMHASH) {
	showmessage('undefined_action', NULL);
}
$language = lang('forum/misc');
$amount = intval($_GET['amount']);
$email = dhtmlspecialchars($_GET['email']);
if(empty($amount)) {
	showmessage('buyinvitecode_no_count');
}
if(strlen($email) < 6 || !preg_match("/^[\w\-\.]+@[\w\-\.]+(\.\w+)+$/", $email)) {
	showmessage('buyinvitecode_email_error');
}

$price = round($amount * $_G['setting']['inviteconfig']['invitecodeprice'], 2);

$orderid = dgmdate(TIMESTAMP, 'YmdHis').random(8);

$requesturl='plugin.php?id=muquan_alipay_qrcode&mod=pay&orderid='.$orderid;


if(C::t('forum_order')->fetch($orderid)) {
	showmessage('credits_addfunds_order_invalid');
}
C::t('forum_order')->insert(array(
	'orderid' => $orderid,
	'status' => '1',
	'uid' => 0,
	'amount' => $amount,
	'price' => $price,
	'submitdate' => $_G['timestamp'],
	'email' => $email,
	'ip' => $_G['clientip'],
));

include template('common/header_ajax');
echo '<form id="payform" action="'.$requesturl.'" method="post"></form><script type="text/javascript" reload="1">$(\'payform\').submit();</script>';
include template('common/footer_ajax');
dexit();